OpenVDB 7.0.0

Static Public Member Functions | List of all members
GradientBiased< MapType, GradScheme > Struct Template Reference

Biased gradient operators, defined with respect to the range-space of the map. More...

`#include <Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static math::Vec3< typename Accessor::ValueType > | result (const MapType &map, const Accessor &grid, const Coord &ijk, const Vec3< typename Accessor::ValueType > &V)
template<typename StencilT >
static math::Vec3< typename StencilT::ValueType > | result (const MapType &map, const StencilT &stencil, const Vec3< typename StencilT::ValueType > &V)

## Detailed Description

### template<typename MapType, BiasedGradientScheme GradScheme>
struct openvdb::v7_0::math::GradientBiased< MapType, GradScheme >

Biased gradient operators, defined with respect to the range-space of the map.

Note
  This will need to be divided by two in the case of CD_2NDT

## Member Function Documentation

## ◆ result() [1/2]

static math::Vec3<typename Accessor::ValueType> result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk,
|  | const Vec3< typename Accessor::ValueType > & | V
| ) |  |
| inline static

## ◆ result() [2/2]

static math::Vec3<typename StencilT::ValueType> result | ( | const MapType & | map,
|  | const StencilT & | stencil,
|  | const Vec3< typename StencilT::ValueType > & | V
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- Operators.h